Neues Thema starten

Plentymarkets Abschaltung der SOAP API bis Version 114

Sehr geehrte Kunden und Partner,


wir möchten sie darauf Aufmerksam machen, dass Plentymarkets die Abschaltung der SOAP API Versionen 105, 109, 110, 111, 112, 113 und 114 angekündigt hat (https://forum.plentymarkets.com/t/ankuendigung-abschaltung-der-alten-soap-api-versionen/321185). Die Abschaltung erfolgt demnach in zwei Schritten zum 


23.04.2018 werden die folgenden SOAP-API-Versionen abgeschaltet:

plentymarkets 6: 105, 109, 110 und 111

plentymarkets 7: 105, 109, 110, 111, 112, 113 und 114


Im zweiten Schritt wird am 22.05.2018 die Version 114 für plentymarkets 6 abgeschaltet.

Ab diesem Tag werden wir keine Unterstützung für Plentymarkets 6 mehr anbieten.

Die Plentymarkets Steps der Version 115 und REST wurden für Plentymarkets 7 entwickelt und funktionieren nicht mit Plentymarkets 6.


Wir finde ich heraus ob ich betroffen bin?

Loggen sie sich in ihrem Synesty Studio Account ein. Unter Add-Ons -> Meine genutzten Steps finden sie eine Übersicht aller verwendeten Steps. Hier können sie im Feld ext. version 112|114 eingeben. Es werden alle Plentymarkets Steps der API Version 112 oder 114 angezeigt. 


Was kann / muss ich tun ?

plentymarkets 6 Nutzer:

- bis 22.05.2018: Alle Steps können weiterhin verwendet werden.  

- ab 22.05.2018: Die Plentymarkets Version 6 wird nicht mehr unterstützt und es stehen keine Steps für diese Version mehr zur Verfügung. 



plentymarkets 7 Nutzer:

- bis 23.04.2018: Bitte ersetzen sie alle Steps der Versionen 112 und 114 durch die entsprechenden Steps der Version 115 oder REST 1.0


Wenn Sie von plentymarkets 6 auf 7 wechseln


Es hat sich mit plentymarkets 7 im Vergleich zu plentymarkets 6 sehr viel geändert. Wir haben einen Migrationsleitfaden zur Verfügung gestellt

http://docs.synesty.com/display/SSUD/Plentymarkets+7+Migrationsleitfaden

Dieser ist für die SOAP-API (115) erstellt wurden, viele Dinge treffen aber auch auf die neue REST-Schnittstelle zu.

Wir empfehlen Ihnen soweit wie möglich die REST-Steps zu verwenden, da in Zukunft vermutlich auch die 115/200er SOAP-Version von plentymarkets abgeschaltet werden wird.
Die Dokumentation der neuen REST-Steps (aktuell noch im Aufbau) finden Sie hier:

http://docs.synesty.com/display/SSUD/Plentymarkets+REST+API



Viele Grüße

Ihr Synesty Team



Anmerkung:


Das Overlay bei Plenty SOAP-Steps ist zwar hübsch, ich kann aber nicht auf die verlinkte Doku klicken, weil die Sprechblase sofort verschwindet wenn ich vom Stepname runter gehe:


image


Danke für den Hinweis. Wir schauen mal. 

Workaround: Einfach auf das Fragezeichen beim Step klicken (oder Step Hilfe )


Da ist der Hinweis dann klickbar. 

Die Version 115 bleibt für Plentymarkets 6 nach wie vor in Betrieb. Weshalb wird dann der Support seitens Synesty eingestellt?

 

Hallo kaufsignal,


die Steps für die SOAP API Version 115 wurden für plentymarkets 7 entwickelt und getestet. Durch die großen Unterschiede in der Artikelarchitektur zwischen Version 6 und 7 können wir nicht garantieren, dass die Steps der SOAP Version 115 mit plentymarkets 6 kompatibel sind. Sie können die 115er Steps trotzdem für plentymarkets 6 ausprobieren/testen. Offiziell gibt es aber dafür keinen Support von unserer Seite. 


Viele Grüße

Ihr Synesty Team

ok, besten Dank

 

Ich habe die Version 115 seit einiger Zeit mit Plenty 6 im Einsatz und hatte bisher keine Fehler. Da man die REST API aber in Zukunft einsetzen sollte, muss man auf jeden Fall auf Version 7 updaten.


Für mich ist nur wichtig, das Ihr die Version 115 für Plenty 6 **nicht** abschaltet, Plenty tut es auch nicht.

Hallo Dirk, 


die 115er Steps bleiben natürlich erhalten und können (ohne Support von uns) auch für plentymarkets 6 genutzt werden. Wie weiter oben beschrieben, haben wir die 115er Steps ausschließlich für plenty 7 entwickelt. D.h. einige der Steps werden nicht funktionieren oder können auch falsche Daten ausgeben (z.B. GetItemsBase). 


Viele Grüße

Torsten

Anmelden um einen Kommentar zu veröffentlichen